package org.jboss.test.managed.factory.support.mcf;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlValue;

@XmlAccessorType(XmlAccessType.FIELD)
public class DataSourceConnectionPropertyMetaData
   implements java.io.Serializable
{
   @XmlAttribute(name="name")
   protected String name;
   
   @XmlValue
   protected String value;

   public String getName()
   {
      return name;
   }
   public void setName(String name)
   {
      this.name = name;
   }
   
   public String getValue()
   {
      return value;
   }
   public void setValue(String value)
   {
      this.value = value;
   }
   
   public String toString()
   {
      return "[" + name + "=" + value + "]";
   }
}
